=== debian/changelog ===
netdde (0.0.20120520-2) unstable; urgency=low

  * control: Make netdde-udeb provide nic-modules, to get pulled into d-i.
  * patches/linux-2.6.32.59: Add drivers which actually compile, via-rhine
    notably.
  * rules: Add driver_list to record which drivers are compiled in.
  * docs: Install driver_list.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jun 2012 23:09:39 +0000

netdde (0.0.20120520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 May 2012 16:23:11 +0000

netdde (0.0.20120518-1) unstable; urgency=low

  * New upstream snapshot.
  * copyright: Fix syntax.
  * rules: Strip netdde-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 May 2012 01:13:15 +0000

netdde (0.0.20120417-1) unstable; urgency=low

  * Initial release (Closes: Bug#661291).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 23:48:10 +0000
