=== debian/control ===
Source: netdde
Section: kernel
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
 Neal H. Walfield <neal@debian.org>, Michael Banck <mbanck@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), hurd-dev (>= 20120222-1~), libpciaccess-dev, zlib1g-dev
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/netdde.git
Vcs-Git: git://git.debian.org/pkg-hurd/netdde.git

Package: netdde
Depends: hurd (>= 20120219-1), ${misc:Depends}, ${shlibs:Depends}
Architecture: hurd-any
Description: Linux network drivers glued by the DDE layer
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.

Package: netdde-udeb
Section: debian-installer
Depends: hurd-udeb (>= 20120219-1), ${misc:Depends}, ${shlibs:Depends}
Provides: nic-modules
Architecture: hurd-any
XC-Package-Type: udeb
Description: Linux network drivers glued by the DDE layer - udeb
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This is for the Debian installer.

Package: netdde-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, netdde (= ${binary:Version})
Architecture: hurd-any
Description: Linux network drivers glued by the DDE layer - debugging symbols
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This contains the debugging symbols
