=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) convert
	$(MAKE)
	ls dde/*.o | sed -e 's_^dde/__' > driver_list

override_dh_auto_clean:
	$(MAKE) klean cleanall
	rm -f driver_list

override_dh_auto_test:

override_dh_strip:
	dh_strip -pnetdde --dbg-package=netdde-dbg
	dh_strip -pnetdde-udeb
