## netdde 0.0.20200330

=== debian/changelog ===
netdde (0.0.20200330-12+bin.1) unreleased; urgency=medium

  * No-change upload: Rebuild against libc with 64b mig change workaround.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jun 2025 19:57:36 +0000

netdde (0.0.20200330-12) unreleased; urgency=medium

  * control: Make Multi-Arch: foreign.
  * control: Make netdde-dbg priority: optional.
  * patches/csum: Fix getting ipv6 checksum function.
  * patches/64: Add 64bit linker script.
  * rules: Pass ARCH to dde makefiles.
  * rules: Make netdde non-pie.
  * control: Drop elder hurd/gnumach dependencies.
  * patches/pthread_exit: Fix missing declaration of pthread_exit.
  * control: Make netdde essential.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2024 17:04:37 +0000

netdde (0.0.20200330-11) unreleased; urgency=medium

  * patches/link: Update link script, fixes build with glibc 2.33.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 23:26:26 +0000

netdde (0.0.20200330-10) unreleased; urgency=medium

  * Rebuild with fixed libmachdev, no source change.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Apr 2021 19:34:29 +0000

netdde (0.0.20200330-9) unreleased; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * rules: Drop -fno-common, this is now the default with gcc ≥ 10. And this
    was dropping the -g option for debugging symbols.
  * patches/static: Fix static linking.
  * rules: Build netdde.static.
  * netdde.install: Install netdde.static.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Apr 2021 22:44:49 +0000

netdde (0.0.20200330-8) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev trivfs initialization.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Apr 2021 16:55:17 +0000

netdde (0.0.20200330-7) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev thread initialization.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Mar 2021 02:33:19 +0000

netdde (0.0.20200330-6) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev initialization API.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Nov 2020 22:44:30 +0000

netdde (0.0.20200330-5) unreleased; urgency=medium

  * copyright: Drop content of MPL licence.
  * copyright: Use https URL for Format.
  * control: Drop Priority: extra.
  * control: Bump Standards-Version to 4.5.0.
  * control: Bump debhelper compat to 12.
  * patches/libmachdev: Update to new libmachdev initialization API.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Sep 2020 20:36:36 +0000

netdde (0.0.20200330-4) unreleased; urgency=medium

  * Rebuild with new userland driver RPCs.
  * control: make netdde Depend on gnumach kernel with new userland driver
    RPCs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Jul 2020 20:07:43 +0000

netdde (0.0.20200330-3) unreleased; urgency=medium

  * Rebuild with gcc building for i686, no source change.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 May 2020 10:22:58 +0000

netdde (0.0.20200330-2) unreleased; urgency=medium

  * patches/smc-mca: Fix build with -fno-common (will be the default with
    gcc-10).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 17:29:18 +0000

netdde (0.0.20200330-1) unreleased; urgency=medium

  * New upstream snapshot.
    - patches/sort: Upstreamed.
    - patches.no-atp: Upstreamed.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Bump dependency on hurd-libs0.3.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:24:59 +0000

netdde (0.0.20150828-8) unreleased; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * patches/no-atp: Disable atp driver.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Nov 2019 19:52:55 +0000

netdde (0.0.20150828-7) unreleased; urgency=medium

  * Upload to unreleased.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Jul 2019 07:41:21 +0000

netdde (0.0.20150828-5) unstable; urgency=medium

  * Use https URL

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:01:52 +0200

netdde (0.0.20150828-4) unstable; urgency=medium

  * Fix getting cross-CC.
  * Build-Depend on virtual package libdde-linux26-dev so as to require an
    unstage hurd-dev package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 23:20:11 +0000

netdde (0.0.20150828-3) unstable; urgency=medium

  * rules: Fix cross-build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Feb 2016 13:07:46 +0000

netdde (0.0.20150828-2) unstable; urgency=medium

  * Make sure to sort input files so we have a deterministic build order.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Aug 2015 18:02:57 +0000

netdde (0.0.20150828-1) unstable; urgency=medium

  * Integrate upstream update to 2.6.32.65.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 18:57:49 +0000

netdde (0.0.20150208-1) unstable; urgency=medium

  * Update to Linux 2.6.32.65.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2015 21:43:22 +0000

netdde (0.0.20121127-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Recurse into directories to list driver files.
  * Add overrides for non-standard /hurd directory.

  [ Pino Toscano ]
  * control: Remove Neal and Jeff from uploaders (mirror the same change done
    in hurd 20130727-1).
  * control: make netdde-dbg recommend hurd-dbg.
  * control: update Vcs-* headers.
  * control: use Package-Type instead of XC-Package-Type.
  * Rename docs to netdde.docs to make it more clear it refers to netdde.
  * Remove hardcoded hurd{,-udeb} dependencies from netdde{,-udeb}, as the
    generated shlibdeps are fine now.
  * Remove unused ${shlibs:Depends} from netdde-dbg.
  * Bump Standards-Version to 3.9.4, no changes required.


