=== debian/control ===
Source: netdde
Section: kernel
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 12), libdde-linux26-dev | hurd-dev (>= 1:0.9.git20200718-1), libdde-linux26-dev, libpciaccess-dev, zlib1g-dev
Rules-Requires-Root: no
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://salsa.debian.org/hurd-team/netdde
Vcs-Git: https://salsa.debian.org/hurd-team/netdde.git

Package: netdde
Essential: yes
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: hurd-any
Multi-Arch: foreign
Description: Linux network drivers glued by the DDE layer
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.

Package: netdde-udeb
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nic-modules
Architecture: hurd-any
Package-Type: udeb
Description: Linux network drivers glued by the DDE layer - udeb
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This is for the Debian installer.

Package: netdde-dbg
Section: debug
Priority: optional
Depends: ${misc:Depends}, netdde (= ${binary:Version})
Recommends: hurd-dbg
Architecture: hurd-any
Multi-Arch: same
Description: Linux network drivers glued by the DDE layer - debugging symbols
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This contains the debugging symbols
