=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=-pie

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
  ARCH = amd64
else
  ARCH = x86
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) convert
	rm -f Makefile.inc
	$(MAKE) ARCH=$(ARCH) CC=$(CC) LINK_PROGRAM=$(CC)
	rm -f Makefile.inc
	$(MAKE) ARCH=$(ARCH) TARGET=netdde.static CC=$(CC) LINK_PROGRAM="$(CC) -static"
	find dde -name \*.o | sed -e 's_^dde/__' > driver_list

override_dh_auto_clean:
	$(MAKE) klean cleanall
	rm -f driver_list
	rm -f netdde.static

override_dh_auto_test:

override_dh_strip:
	dh_strip -pnetdde --dbg-package=netdde-dbg
	dh_strip -pnetdde-udeb
